/*********************************************
 * Media Content
**********************************************/
.ifs-media-content {
    --media-col-w:100%;
    --content-col-w:calc(100% - var(--media-col-w));
    --content-col-pad:0;
    --content-max-w:unset;
    --content-mr:0;
    --content-ml:0;
}
.ifs-media-content__inner {margin:0 calc(-1 * var(--ifs-gap-vc-column));}
.ifs-media-content__col {padding:0 var(--ifs-gap-vc-column);}
.ifs-media-content__col.media {width:var(--media-col-w);}
.ifs-media-content__col.content {width:var(--content-col-w);}
.ifs-media-content__content {
    max-width:var(--content-max-w);
    margin-left:var(--content-ml);
    margin-right:var(--content-mr);
}

/* layout */
.ifs-media-content-half-half {
    --media-col-w:50%;
    --content-max-w:521px;
}
.ifs-media-content-media-narrow {
    /* media 5/12, content 7/12 */
    --media-col-w:41.6666%;
    --content-col-w:50%;
    --content-max-w:610px;
}
.ifs-media-content-media-wide {
    /* media 7/12, content 5/12 */
    --media-col-w:58.3333%;
    --content-max-w:518px;
}
.ifs-media-content-media-extra-wide {
    /* media 8/12, content 4/12 */
    --media-col-w:66.6666%;
    --content-max-w:unset;
}

.ifs-media-content[class*="media-position"] {
    --content-mr:auto;
    --content-ml:auto;
}
.ifs-media-content.media-position-right {--content-ml:0;}
.ifs-media-content-media-narrow.media-position-left {
    --content-ml:0;
}

/* video */
.ifs-media-content__col .ifs-video {max-width:clamp(640px, 70%, 100%); margin:auto;}
.ifs-media-content__col .ifs-video::before {content:unset;}


/*********************************************
 * Media position
**********************************************/
@media only screen and (min-width:769px) {
    .media-position-right .ifs-media-content__inner {flex-direction:row-reverse;}
}


/*********************************************
 * Responsive
**********************************************/

@media only screen and (min-width:1800px) {
    .ifs-media-content-half-half,
    .ifs-media-content-media-wide {--content-max-w:34.8vw;}
    .ifs-media-content-media-narrow {--content-max-w:42.36vw;}
}
@media only screen and (max-width:1024px) {
    .ifs-media-content {--media-col-w:55.6666%;}
    .ifs-media-content-media-narrow {--content-col-w:calc(100% - var(--media-col-w));}
}
@media only screen and (max-width:768px) {
    .ifs-media-content__col.media,
    .ifs-media-content__col.content {width:100%;}
    .ifs-media-content {
        --content-max-w:unset;
        --media-col-w:unset;
    }
    .ifs-media-content__inner {gap:var(--ifs-gap-container);}

    /* media position mobile */
    .media-position-mobile-bottom .ifs-media-content__col.media {order:1;}

    /* center block with max-width */
    .ifs-media-content__media {max-width:520px;margin-left:auto; margin-right:auto;}
}